import { type DomainEvent } from '@modules/shared';

export class PasswordResetRequestedEvent implements DomainEvent {
  readonly eventName = 'user.password_reset_requested';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly email: string,
    public readonly otpCode: string,
  ) {}
}
